/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2019-05-02 09:57:00Z
 *****************************************************************************/

#include "rscmwam.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsCoreRepCap rscmwam_RsCoreRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "instance",
        "i1,i2,i3,i4,i5,i6,i7,i8,i9,i10,i11,i12,i13,i14,i15,i16",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
       },
       {
        "AudioType",
        "Analog,Digital",
        "ANAL,DIG"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableEntry rscmwam_rngAudioMeasurementRepetitionModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngAudioMeasurementRepetitionMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngAudioMeasurementRepetitionModeEntries
};

static RsCoreRangeTableEntry rscmwam_rngAudioMeasurementStopConditionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OLFA",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngAudioMeasurementStopCondition =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngAudioMeasurementStopConditionEntries
};

static RsCoreRangeTableEntry rscmwam_rngAudioMeasurementSignalTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MULT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FFTN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngAudioMeasurementSignalType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngAudioMeasurementSignalTypeEntries
};

static RsCoreRangeTableEntry rscmwam_rngAudioMeasurementAnalogPathCouplingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngAudioMeasurementAnalogPathCoupling =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngAudioMeasurementAnalogPathCouplingEntries
};

static RsCoreRangeTableEntry rscmwam_rngAudioMeasurementAnalogAutoRangingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngAudioMeasurementAnalogAutoRanging =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngAudioMeasurementAnalogAutoRangingEntries
};

static RsCoreRangeTableEntry rscmwam_rngAudioMeasurementAnalogMaximumLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */42.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngAudioMeasurementAnalogMaximumLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"V",
  /* rangeValues = */rscmwam_rngAudioMeasurementAnalogMaximumLevelEntries
};

static RsCoreRangeTableEntry rscmwam_rngSingleToneStatisticCountEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngSingleToneStatisticCount =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngSingleToneStatisticCountEntries
};

static RsCoreRangeTableEntry rscmwam_rngSingleToneMeasurementFrequencyDistortionEntries[] =
{
  {
      /* discreteOrMinValue = */1.0,
      /* maxValue           = */10.5e+3,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngSingleToneMeasurementFrequencyDistortion =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rscmwam_rngSingleToneMeasurementFrequencyDistortionEntries
};

static RsCoreRangeTableEntry rscmwam_rngSingleToneLowPassEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LP3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LP4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LP15",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngSingleToneLowPass =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngSingleToneLowPassEntries
};

static RsCoreRangeTableEntry rscmwam_rngSingleToneHighPassEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H300",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngSingleToneHighPass =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngSingleToneHighPassEntries
};

static RsCoreRangeTableEntry rscmwam_rngSingleToneWeightingFilterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AWE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CCIT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CMSG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngSingleToneWeightingFilter =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngSingleToneWeightingFilterEntries
};

static RsCoreRangeTableEntry rscmwam_rngMultitoneStatisticCountEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngMultitoneStatisticCount =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngMultitoneStatisticCountEntries
};

static RsCoreRangeTableEntry rscmwam_rngMultitoneResultModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ABS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T01",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T02",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T03",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T04",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T05",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T06",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T07",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T08",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T09",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T17",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T18",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T19",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T20",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngMultitoneResultMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngMultitoneResultModeEntries
};

static RsCoreRangeTableEntry rscmwam_rngMultitoneLowPassFilterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LP3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LP4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LP15",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngMultitoneLowPassFilter =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngMultitoneLowPassFilterEntries
};

static RsCoreRangeTableEntry rscmwam_rngMultitoneHighPassFilterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H300",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngMultitoneHighPassFilter =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngMultitoneHighPassFilterEntries
};

static RsCoreRangeTableEntry rscmwam_rngMultitoneWeightingFilterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AWE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CCIT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CMSG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngMultitoneWeightingFilter =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngMultitoneWeightingFilterEntries
};

static RsCoreRangeTableEntry rscmwam_rngFFTNoiseStatisticCountEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngFFTNoiseStatisticCount =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"20",
  /* rangeValues = */rscmwam_rngFFTNoiseStatisticCountEntries
};

static RsCoreRangeTableEntry rscmwam_rngFFTNoiseLowPassFilterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LP3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LP4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LP15",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngFFTNoiseLowPassFilter =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngFFTNoiseLowPassFilterEntries
};

static RsCoreRangeTableEntry rscmwam_rngFFTNoiseHighPassFilterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H300",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngFFTNoiseHighPassFilter =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngFFTNoiseHighPassFilterEntries
};

static RsCoreRangeTableEntry rscmwam_rngFFTNoiseWeightingFilterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AWE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CCIT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CMSG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngFFTNoiseWeightingFilter =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngFFTNoiseWeightingFilterEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorSignalTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MULT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FFTN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorSignalType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngGeneratorSignalTypeEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorAnalyzerCouplingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANAL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorAnalyzerCoupling =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngGeneratorAnalyzerCouplingEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorSingleToneFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */21.0e+3,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorSingleToneFrequency =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rscmwam_rngGeneratorSingleToneFrequencyEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorSingleToneLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */5.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorSingleToneLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"V",
  /* rangeValues = */rscmwam_rngGeneratorSingleToneLevelEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorMultitoneCrestFactorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAX",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOW",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorMultitoneCrestFactor =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngGeneratorMultitoneCrestFactorEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorMultitoneLevelSelectionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TLEV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SEP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorMultitoneLevelSelection =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngGeneratorMultitoneLevelSelectionEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorMultitoneTotalLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */5.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorMultitoneTotalLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngGeneratorMultitoneTotalLevelEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorMultitoneToneStartEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */20,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorMultitoneToneStart =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngGeneratorMultitoneToneStartEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorMultitoneToneStopEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */20,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorMultitoneToneStop =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngGeneratorMultitoneToneStopEntries
};

static RsCoreRangeTableEntry rscmwam_rngGeneratorFFTNoiseLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */5.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngGeneratorFFTNoiseLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngGeneratorFFTNoiseLevelEntries
};

static RsCoreRangeTableEntry rscmwam_rngSingleToneWindowFunctionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RECT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HAMM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HANN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BHAR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FTOP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngSingleToneWindowFunction =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngSingleToneWindowFunctionEntries
};

static RsCoreRangeTableEntry rscmwam_rngSpeechAnalysisInputLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */42,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngSpeechAnalysisInputLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"V",
  /* rangeValues = */rscmwam_rngSpeechAnalysisInputLevelEntries
};

static RsCoreRangeTableEntry rscmwam_rngSpeechAnalysisOutputLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngSpeechAnalysisOutputLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"V",
  /* rangeValues = */rscmwam_rngSpeechAnalysisOutputLevelEntries
};

static RsCoreRangeTableEntry rscmwam_rngClockDriftEntries[] =
{
  {
      /* discreteOrMinValue = */-100,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngClockDrift =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngClockDriftEntries
};

static RsCoreRangeTableEntry rscmwam_rngFilterHighPassEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H300",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngFilterHighPass =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngFilterHighPassEntries
};

static RsCoreRangeTableEntry rscmwam_rngPlaybackOutLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngPlaybackOutLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"V",
  /* rangeValues = */rscmwam_rngPlaybackOutLevelEntries
};

static RsCoreRangeTableEntry rscmwam_rngRecInputLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */42,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngRecInputLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"V",
  /* rangeValues = */rscmwam_rngRecInputLevelEntries
};

static RsCoreRangeTableEntry rscmwam_rngDNDRecSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANAL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SPE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngDNDRecSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngDNDRecSourceEntries
};

static RsCoreRangeTableEntry rscmwam_rngPlaybackStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEND",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwam_rngPlaybackState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwam_rngPlaybackStateEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RSCMWAM_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_COERCEABLE_ONLY_BY_INSTR | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_ATTR_ACTIVATE_STEREO_EXTERNAL_ANALOG_SPEECH_ANALYSIS =
{
  /* constant           = */RSCMWAM_ATTR_ACTIVATE_STEREO_EXTERNAL_ANALOG_SPEECH_ANALYSIS,
#if defined (_DEBUG)
  /* debug name         = */"Activate Stereo External Analog Speech Analysis",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"ROUT:AUD{instance}:SCEN:SASP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"No Connection",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_ACTIVATE_STEREO_EXTERNAL_DIGITAL_SPEECH_ANALYSIS =
{
  /* constant           = */RSCMWAM_ATTR_ACTIVATE_STEREO_EXTERNAL_DIGITAL_SPEECH_ANALYSIS,
#if defined (_DEBUG)
  /* debug name         = */"Activate Stereo External Digital Speech Analysis",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"ROUT:AUD{instance}:SCEN:SDSP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"No Connection",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_AND_GENERATOR =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_AND_GENERATOR,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement and Generator",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ROUT:AUD{instance}:SCEN:AMG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_EXTERNAL_ANALOG_SPEECH_ANALYSIS =
{
  /* constant           = */RSCMWAM_ATTR_EXTERNAL_ANALOG_SPEECH_ANALYSIS,
#if defined (_DEBUG)
  /* debug name         = */"External Analog Speech Analysis",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"ROUT:AUD{instance}:SCEN:EASP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"No Connection",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_EXTERNAL_DIGITAL_SPEECH_ANALYSIS =
{
  /* constant           = */RSCMWAM_ATTR_EXTERNAL_DIGITAL_SPEECH_ANALYSIS,
#if defined (_DEBUG)
  /* debug name         = */"External Digital Speech Analysis",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"ROUT:AUD{instance}:SCEN:EDSP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"No Connection",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_MICROPHONE_AND_SPEAKER_TEST =
{
  /* constant           = */RSCMWAM_ATTR_MICROPHONE_AND_SPEAKER_TEST,
#if defined (_DEBUG)
  /* debug name         = */"Microphone and Speaker Test",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"ROUT:AUD{instance}:SCEN:MST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"No Connection",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_WAVEFORM_TEST =
{
  /* constant           = */RSCMWAM_ATTR_WAVEFORM_TEST,
#if defined (_DEBUG)
  /* debug name         = */"Waveform Test",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ROUT:AUD{instance}:SCEN:WAV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_POSSIBLE_MASTER_STRINGS =
{
  /* constant           = */RSCMWAM_ATTR_POSSIBLE_MASTER_STRINGS,
#if defined (_DEBUG)
  /* debug name         = */"Possible Master Strings",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"ROUT:AUD{instance}:SCEN:CAT:MAST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"master",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_CLOCK_DRIFT =
{
  /* constant           = */RSCMWAM_ATTR_CLOCK_DRIFT,
#if defined (_DEBUG)
  /* debug name         = */"Clock Drift",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngClockDrift,
  /* command            = */"CONF:AUD{instance}:CDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_REPETITION_MODE =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_REPETITION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement Repetition Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngAudioMeasurementRepetitionMode,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:REP",
  /* integerDefault     = */RSCMWAM_VAL_REPETITION_SINGLE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_STOP_CONDITION =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_STOP_CONDITION,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement Stop Condition",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngAudioMeasurementStopCondition,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:SCON",
  /* integerDefault     = */RSCMWAM_VAL_NONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_SIGNAL_TYPE =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_SIGNAL_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement Signal Type",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngAudioMeasurementSignalType,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:RTYP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_PATH_COUPLING =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_PATH_COUPLING,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement Analog Path Coupling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngAudioMeasurementAnalogPathCoupling,
  /* command            = */"CONF:AUD:MEAS{instance}:ANAL:PCO",
  /* integerDefault     = */RSCMWAM_VAL_AC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_AUTO_RANGING =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_AUTO_RANGING,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement Analog Auto Ranging",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngAudioMeasurementAnalogAutoRanging,
  /* command            = */"CONF:AUD:MEAS{instance}:ANAL:ARAN",
  /* integerDefault     = */RSCMWAM_VAL_ON,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_MAXIMUM_LEVEL =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_MAXIMUM_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement Analog Maximum Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngAudioMeasurementAnalogMaximumLevel,
  /* command            = */"CONF:AUD:MEAS{instance}:ANAL:MLEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */2.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SINGLE_TONE_STATISTIC_COUNT =
{
  /* constant           = */RSCMWAM_ATTR_SINGLE_TONE_STATISTIC_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Single Tone Statistic Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngSingleToneStatisticCount,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:SING:SCO",
  /* integerDefault     = */20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SINGLE_TONE_FREQUENCY_DISTORTION =
{
  /* constant           = */RSCMWAM_ATTR_SINGLE_TONE_FREQUENCY_DISTORTION,
#if defined (_DEBUG)
  /* debug name         = */"Single Tone Frequency Distortion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngSingleToneMeasurementFrequencyDistortion,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:SING:FILT:DFR",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SINGLE_TONE_LOW_PASS_FILTER =
{
  /* constant           = */RSCMWAM_ATTR_SINGLE_TONE_LOW_PASS_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"Single Tone Low Pass Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngSingleToneLowPass,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:SING:FILT:LPAS",
  /* integerDefault     = */RSCMWAM_VAL_SINGLE_TONE_LOW_PASS_FILTER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SINGLE_TONE_HIGH_PASS_FILTER =
{
  /* constant           = */RSCMWAM_ATTR_SINGLE_TONE_HIGH_PASS_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"Single Tone High Pass Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngSingleToneHighPass,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:SING:FILT:HPAS",
  /* integerDefault     = */RSCMWAM_VAL_SINGLE_TONE_HIGH_PASS_FILTER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SINGLE_TONE_WEIGHTING_FILTER =
{
  /* constant           = */RSCMWAM_ATTR_SINGLE_TONE_WEIGHTING_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"Single Tone Weighting Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngSingleToneWeightingFilter,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:SING:FILT:WEIG",
  /* integerDefault     = */RSCMWAM_VAL_SINGLE_TONE_WEIGHTING_FILTER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SINGLE_TONE_WINDOW_FUNCTION =
{
  /* constant           = */RSCMWAM_ATTR_SINGLE_TONE_WINDOW_FUNCTION,
#if defined (_DEBUG)
  /* debug name         = */"Single Tone Window Function",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngSingleToneWindowFunction,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:SING:FILT:WFUN",
  /* integerDefault     = */RSCMWAM_VAL_SINGLE_TONE_WINDOW_FUNCTION_RECT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SINGLE_TONE_SPECTRUM_STATE =
{
  /* constant           = */RSCMWAM_ATTR_SINGLE_TONE_SPECTRUM_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Single Tone Spectrum State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:SPEC:DMOD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_MULTITONE_STATISTIC_COUNT =
{
  /* constant           = */RSCMWAM_ATTR_MULTITONE_STATISTIC_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Multitone Statistic Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngMultitoneStatisticCount,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:MULT:SCO",
  /* integerDefault     = */20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_MULTITONE_RESULT_MODE =
{
  /* constant           = */RSCMWAM_ATTR_MULTITONE_RESULT_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Multitone Result Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngMultitoneResultMode,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:MULT:RMOD",
  /* integerDefault     = */RSCMWAM_VAL_RESULT_MODE_ABSOLUTE_LEVEL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_MULTITONE_LOW_PASS_FILTER =
{
  /* constant           = */RSCMWAM_ATTR_MULTITONE_LOW_PASS_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"Multitone Low Pass Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngMultitoneLowPassFilter,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:MULT:FILT:LPAS",
  /* integerDefault     = */RSCMWAM_VAL_MULTITONE_LOW_PASS_FILTER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_MULTITONE_HIGH_PASS_FILTER =
{
  /* constant           = */RSCMWAM_ATTR_MULTITONE_HIGH_PASS_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"Multitone High Pass Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngMultitoneHighPassFilter,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:MULT:FILT:HPAS",
  /* integerDefault     = */RSCMWAM_VAL_MULTITONE_HIGH_PASS_FILTER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_MULTITONE_WEIGHTING_FILTER =
{
  /* constant           = */RSCMWAM_ATTR_MULTITONE_WEIGHTING_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"Multitone Weighting Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngMultitoneWeightingFilter,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:MULT:FILT:WEIG",
  /* integerDefault     = */RSCMWAM_VAL_MULTITONE_WEIGHTING_FILTER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_FFT_NOISE_STATISTIC_COUNT =
{
  /* constant           = */RSCMWAM_ATTR_FFT_NOISE_STATISTIC_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"FFT Noise Statistic Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngFFTNoiseStatisticCount,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:FFTN:SCO",
  /* integerDefault     = */20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_FFT_NOISE_LOW_PASS_FILTER =
{
  /* constant           = */RSCMWAM_ATTR_FFT_NOISE_LOW_PASS_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"FFT Noise Low Pass Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngFFTNoiseLowPassFilter,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:FFTN:FILT:LPAS",
  /* integerDefault     = */RSCMWAM_VAL_FFT_NOISE_LOW_PASS_FILTER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_FFT_NOISE_HIGH_PASS_FILTER =
{
  /* constant           = */RSCMWAM_ATTR_FFT_NOISE_HIGH_PASS_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"FFT Noise High Pass Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngFFTNoiseHighPassFilter,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:FFTN:FILT:HPAS",
  /* integerDefault     = */RSCMWAM_VAL_FFT_NOISE_HIGH_PASS_FILTER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_FFT_NOISE_WEIGHTING_FILTER =
{
  /* constant           = */RSCMWAM_ATTR_FFT_NOISE_WEIGHTING_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"FFT Noise Weighting Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngFFTNoiseWeightingFilter,
  /* command            = */"CONF:AUD:MEAS{instance}:{AudioType}:FFTN:FILT:WEIG",
  /* integerDefault     = */RSCMWAM_VAL_FFT_NOISE_WEIGHTING_FILTER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_INIT =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_INIT,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:AUD:MEAS{instance}:{AudioType}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ABORT =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:AUD:MEAS{instance}:{AudioType}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_STOP =
{
  /* constant           = */RSCMWAM_ATTR_AUDIO_MEASUREMENT_STOP,
#if defined (_DEBUG)
  /* debug name         = */"Audio Measurement Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:AUD:MEAS{instance}:{AudioType}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_SIGNAL_TYPE =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_SIGNAL_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Generator Signal Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngGeneratorSignalType,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:STYP",
  /* integerDefault     = */RSCMWAM_VAL_SIGNAL_TYPE_SINGLE_TONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_ANALYZER_COUPLING =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_ANALYZER_COUPLING,
#if defined (_DEBUG)
  /* debug name         = */"Generator Analyzer Coupling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngGeneratorAnalyzerCoupling,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:ACO",
  /* integerDefault     = */RSCMWAM_VAL_ANALYZER_COUPLING_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_SINGLE_TONE_FREQUENCY =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_SINGLE_TONE_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Generator Single Tone Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngGeneratorSingleToneFrequency,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:SING:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_SINGLE_TONE_LEVEL =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_SINGLE_TONE_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Generator Single Tone Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngGeneratorSingleToneLevel,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:SING:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_MULTITONE_CREST_FACTOR =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_MULTITONE_CREST_FACTOR,
#if defined (_DEBUG)
  /* debug name         = */"Generator Multitone Crest Factor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngGeneratorMultitoneCrestFactor,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:MULT:CRES",
  /* integerDefault     = */RSCMWAM_VAL_CREST_MAX,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_MULTITONE_LEVEL_SELECTION =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_MULTITONE_LEVEL_SELECTION,
#if defined (_DEBUG)
  /* debug name         = */"Generator Multitone Level Selection",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngGeneratorMultitoneLevelSelection,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:MULT:LSEL",
  /* integerDefault     = */RSCMWAM_VAL_LEVEL_TOTAL_LEVEL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_MULTITONE_TOTAL_LEVEL =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_MULTITONE_TOTAL_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Generator Multitone Total Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngGeneratorMultitoneTotalLevel,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:MULT:TLEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_QUERY_GENERATOR_MULTITONE_TOTAL_LEVEL =
{
  /* constant           = */RSCMWAM_ATTR_QUERY_GENERATOR_MULTITONE_TOTAL_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Query Generator Multitone Total Level",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngGeneratorMultitoneTotalLevel,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:MULT:TLEV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_MULTITONE_TONE_START =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_MULTITONE_TONE_START,
#if defined (_DEBUG)
  /* debug name         = */"Generator Multitone Tone Start",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngGeneratorMultitoneToneStart,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:MULT:STAR",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_MULTITONE_TONE_STOP =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_MULTITONE_TONE_STOP,
#if defined (_DEBUG)
  /* debug name         = */"Generator Multitone Tone Stop",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngGeneratorMultitoneToneStop,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:MULT:STOP",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_GENERATOR_FFT_NOISE_LEVEL =
{
  /* constant           = */RSCMWAM_ATTR_GENERATOR_FFT_NOISE_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Generator FFT Noise Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngGeneratorFFTNoiseLevel,
  /* command            = */"SOUR:AUD:GEN{instance}:{AudioType}:FFTN:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SPEECH_ANALYSIS_INPUT_LEVEL =
{
  /* constant           = */RSCMWAM_ATTR_SPEECH_ANALYSIS_INPUT_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Speech Analysis Input Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngSpeechAnalysisInputLevel,
  /* command            = */"CONF:AUD:SPE{instance}:ANAL:ILEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SPEECH_ANALYSIS_OUTPUT_LEVEL =
{
  /* constant           = */RSCMWAM_ATTR_SPEECH_ANALYSIS_OUTPUT_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Speech Analysis Output Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngSpeechAnalysisOutputLevel,
  /* command            = */"CONF:AUD:SPE{instance}:ANAL:OLEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.3,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SPEECH_ANALYSIS_FILTER_HIGH_PASS =
{
  /* constant           = */RSCMWAM_ATTR_SPEECH_ANALYSIS_FILTER_HIGH_PASS,
#if defined (_DEBUG)
  /* debug name         = */"Speech Analysis Filter High Pass",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngFilterHighPass,
  /* command            = */"CONF:AUD:SPE{instance}:ANAL:FILT:HPAS",
  /* integerDefault     = */RSCMWAM_VAL_FILTER_H6,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_RECORDING_INITIATE =
{
  /* constant           = */RSCMWAM_ATTR_RECORDING_INITIATE,
#if defined (_DEBUG)
  /* debug name         = */"Recording Initiate",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:AUD:WAV{instance}:REC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_RECORDING_ABORT =
{
  /* constant           = */RSCMWAM_ATTR_RECORDING_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"Recording Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:AUD:WAV{instance}:REC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_RECORDING_STOP =
{
  /* constant           = */RSCMWAM_ATTR_RECORDING_STOP,
#if defined (_DEBUG)
  /* debug name         = */"Recording Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:AUD:WAV{instance}:REC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_RECORDING_AMOUNT_OF_RECORDED_DATA =
{
  /* constant           = */RSCMWAM_ATTR_RECORDING_AMOUNT_OF_RECORDED_DATA,
#if defined (_DEBUG)
  /* debug name         = */"Recording Amount Of Recorded Data",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:AUD:WAV{instance}:REC:PROG:DWR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_RECORDING_INPUT_LEVEL =
{
  /* constant           = */RSCMWAM_ATTR_RECORDING_INPUT_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Recording Input Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngRecInputLevel,
  /* command            = */"CONF:AUD:WAV{instance}:REC:ILEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_RECORDING_HIGHPASS_FILTER_FREQUENCY =
{
  /* constant           = */RSCMWAM_ATTR_RECORDING_HIGHPASS_FILTER_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Recording Highpass Filter Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngFilterHighPass,
  /* command            = */"CONF:AUD:WAV{instance}:REC:FILT:HPAS",
  /* integerDefault     = */RSCMWAM_VAL_FILTER_H6,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_RECORDING_FILE_PATH_NAME =
{
  /* constant           = */RSCMWAM_ATTR_RECORDING_FILE_PATH_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Recording File Path Name",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:AUD:WAV{instance}:REC:FPAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"@WAVEFORM\\myWAVfile.wav",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_PLAYBACK_ENABLED =
{
  /* constant           = */RSCMWAM_ATTR_PLAYBACK_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Playback Enabled",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:AUD:WAV{instance}:PLAY:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_PLAYBACK_STATE =
{
  /* constant           = */RSCMWAM_ATTR_PLAYBACK_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Playback State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwam_rngPlaybackState,
  /* command            = */"SOUR:AUD:WAV{instance}:PLAY:STAT?",
  /* integerDefault     = */RSCMWAM_VAL_PLAYBACK_STATE_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_PLAYBACK_OUTPUT_LEVEL =
{
  /* constant           = */RSCMWAM_ATTR_PLAYBACK_OUTPUT_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Playback Output Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwam_rngPlaybackOutLevel,
  /* command            = */"CONF:AUD:WAV{instance}:PLAY:OLEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.3,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_PLAYBACK_FILE_PATH_NAME =
{
  /* constant           = */RSCMWAM_ATTR_PLAYBACK_FILE_PATH_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Playback File Path Name",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:AUD:WAV{instance}:PLAY:FPAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"@WAVEFORM\\myWAVfile.wav",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_PLAYBACK_PROGRESS =
{
  /* constant           = */RSCMWAM_ATTR_PLAYBACK_PROGRESS,
#if defined (_DEBUG)
  /* debug name         = */"Playback Progress",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:AUD:WAV{instance}:PLAY:PROG:DRE?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SYSTEM_VERSION =
{
  /* constant           = */RSCMWAM_ATTR_SYSTEM_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"System Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:VERSion?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SYSTEM_ERROR =
{
  /* constant           = */RSCMWAM_ATTR_SYSTEM_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"System Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERRor?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SYSTEM_ALL_ERRORS =
{
  /* constant           = */RSCMWAM_ATTR_SYSTEM_ALL_ERRORS,
#if defined (_DEBUG)
  /* debug name         = */"System All Errors",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_ATTR_SYSTEM_PRESET =
{
  /* constant           = */RSCMWAM_ATTR_SYSTEM_PRESET,
#if defined (_DEBUG)
  /* debug name         = */"System Preset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWAM_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */RSCMWAM_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"*IDN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz,CMW,1201.0002k50/110552,3.7.120",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsCoreAttributePtr rscmwam_RsCoreAttributeList[] =
{
&g_RSCMWAM_RS_ATTR_RANGE_CHECK,
&g_RSCMWAM_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_RSCMWAM_RS_ATTR_CACHE,
&g_RSCMWAM_RS_ATTR_SIMULATE,
&g_RSCMWAM_RS_ATTR_RECORD_COERCIONS,
&g_RSCMWAM_RS_ATTR_INTERCHANGE_CHECK,
&g_RSCMWAM_RS_ATTR_SPY,
&g_RSCMWAM_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_RSCMWAM_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_RSCMWAM_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_RSCMWAM_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_RSCMWAM_RS_ATTR_CLASS_DRIVER_REVISION,
&g_RSCMWAM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWAM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWAM_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_RSCMWAM_RS_ATTR_GROUP_CAPABILITIES,
&g_RSCMWAM_RS_ATTR_FUNCTION_CAPABILITIES,
&g_RSCMWAM_RS_ATTR_CHANNEL_COUNT,
&g_RSCMWAM_RS_ATTR_DRIVER_SETUP,
&g_RSCMWAM_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_RSCMWAM_RS_ATTR_INSTRUMENT_MODEL,
&g_RSCMWAM_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_RSCMWAM_RS_ATTR_OPTIONS_LIST,
&g_RSCMWAM_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_RSCMWAM_RS_ATTR_LOGICAL_NAME,
&g_RSCMWAM_RS_ATTR_PRIMARY_ERROR,
&g_RSCMWAM_RS_ATTR_SECONDARY_ERROR,
&g_RSCMWAM_RS_ATTR_ERROR_ELABORATION,
&g_RSCMWAM_RS_ATTR_VISA_RM_SESSION,
&g_RSCMWAM_RS_ATTR_IO_SESSION,
&g_RSCMWAM_RS_ATTR_IO_SESSION_TYPE,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_RSCMWAM_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_RSCMWAM_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_RSCMWAM_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_RSCMWAM_RS_ATTR_ENGINE_MINOR_VERSION,
&g_RSCMWAM_RS_ATTR_ENGINE_REVISION,
&g_RSCMWAM_RS_ATTR_OPC_CALLBACK,
&g_RSCMWAM_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_RSCMWAM_RS_ATTR_OPC_TIMEOUT,
&g_RSCMWAM_ATTR_ACTIVATE_STEREO_EXTERNAL_ANALOG_SPEECH_ANALYSIS,
&g_RSCMWAM_ATTR_ACTIVATE_STEREO_EXTERNAL_DIGITAL_SPEECH_ANALYSIS,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_AND_GENERATOR,
&g_RSCMWAM_ATTR_EXTERNAL_ANALOG_SPEECH_ANALYSIS,
&g_RSCMWAM_ATTR_EXTERNAL_DIGITAL_SPEECH_ANALYSIS,
&g_RSCMWAM_ATTR_MICROPHONE_AND_SPEAKER_TEST,
&g_RSCMWAM_ATTR_WAVEFORM_TEST,
&g_RSCMWAM_ATTR_POSSIBLE_MASTER_STRINGS,
&g_RSCMWAM_ATTR_CLOCK_DRIFT,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_REPETITION_MODE,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_STOP_CONDITION,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_SIGNAL_TYPE,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_PATH_COUPLING,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_AUTO_RANGING,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_MAXIMUM_LEVEL,
&g_RSCMWAM_ATTR_SINGLE_TONE_STATISTIC_COUNT,
&g_RSCMWAM_ATTR_SINGLE_TONE_FREQUENCY_DISTORTION,
&g_RSCMWAM_ATTR_SINGLE_TONE_LOW_PASS_FILTER,
&g_RSCMWAM_ATTR_SINGLE_TONE_HIGH_PASS_FILTER,
&g_RSCMWAM_ATTR_SINGLE_TONE_WEIGHTING_FILTER,
&g_RSCMWAM_ATTR_SINGLE_TONE_WINDOW_FUNCTION,
&g_RSCMWAM_ATTR_SINGLE_TONE_SPECTRUM_STATE,
&g_RSCMWAM_ATTR_MULTITONE_STATISTIC_COUNT,
&g_RSCMWAM_ATTR_MULTITONE_RESULT_MODE,
&g_RSCMWAM_ATTR_MULTITONE_LOW_PASS_FILTER,
&g_RSCMWAM_ATTR_MULTITONE_HIGH_PASS_FILTER,
&g_RSCMWAM_ATTR_MULTITONE_WEIGHTING_FILTER,
&g_RSCMWAM_ATTR_FFT_NOISE_STATISTIC_COUNT,
&g_RSCMWAM_ATTR_FFT_NOISE_LOW_PASS_FILTER,
&g_RSCMWAM_ATTR_FFT_NOISE_HIGH_PASS_FILTER,
&g_RSCMWAM_ATTR_FFT_NOISE_WEIGHTING_FILTER,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_INIT,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ABORT,
&g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_STOP,
&g_RSCMWAM_ATTR_GENERATOR_SIGNAL_TYPE,
&g_RSCMWAM_ATTR_GENERATOR_ANALYZER_COUPLING,
&g_RSCMWAM_ATTR_GENERATOR_SINGLE_TONE_FREQUENCY,
&g_RSCMWAM_ATTR_GENERATOR_SINGLE_TONE_LEVEL,
&g_RSCMWAM_ATTR_GENERATOR_MULTITONE_CREST_FACTOR,
&g_RSCMWAM_ATTR_GENERATOR_MULTITONE_LEVEL_SELECTION,
&g_RSCMWAM_ATTR_GENERATOR_MULTITONE_TOTAL_LEVEL,
&g_RSCMWAM_ATTR_QUERY_GENERATOR_MULTITONE_TOTAL_LEVEL,
&g_RSCMWAM_ATTR_GENERATOR_MULTITONE_TONE_START,
&g_RSCMWAM_ATTR_GENERATOR_MULTITONE_TONE_STOP,
&g_RSCMWAM_ATTR_GENERATOR_FFT_NOISE_LEVEL,
&g_RSCMWAM_ATTR_SPEECH_ANALYSIS_INPUT_LEVEL,
&g_RSCMWAM_ATTR_SPEECH_ANALYSIS_OUTPUT_LEVEL,
&g_RSCMWAM_ATTR_SPEECH_ANALYSIS_FILTER_HIGH_PASS,
&g_RSCMWAM_ATTR_RECORDING_INITIATE,
&g_RSCMWAM_ATTR_RECORDING_ABORT,
&g_RSCMWAM_ATTR_RECORDING_STOP,
&g_RSCMWAM_ATTR_RECORDING_AMOUNT_OF_RECORDED_DATA,
&g_RSCMWAM_ATTR_RECORDING_INPUT_LEVEL,
&g_RSCMWAM_ATTR_RECORDING_HIGHPASS_FILTER_FREQUENCY,
&g_RSCMWAM_ATTR_RECORDING_FILE_PATH_NAME,
&g_RSCMWAM_ATTR_PLAYBACK_ENABLED,
&g_RSCMWAM_ATTR_PLAYBACK_STATE,
&g_RSCMWAM_ATTR_PLAYBACK_OUTPUT_LEVEL,
&g_RSCMWAM_ATTR_PLAYBACK_FILE_PATH_NAME,
&g_RSCMWAM_ATTR_PLAYBACK_PROGRESS,
&g_RSCMWAM_ATTR_SYSTEM_VERSION,
&g_RSCMWAM_ATTR_SYSTEM_ERROR,
&g_RSCMWAM_ATTR_SYSTEM_ALL_ERRORS,
&g_RSCMWAM_ATTR_SYSTEM_PRESET,
&g_RSCMWAM_ATTR_ID_QUERY_RESPONSE,

NULL
};
